package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionPolicy.AssignGroup(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceAssignGroupRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SessionPolicyServiceAssignGroupResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/session-policies/{id}/assignments/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupAppEntitlementId": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/session-policies/{id}/assignments/groups"
payload = { "groupAppEntitlementId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groupAppEntitlementId: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/session-policies/{id}/assignments/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Assign Group
Assign a group to a session policy. Every member of the group becomes assigned to the policy; because group membership is expanded asynchronously, the per-user effect is eventually consistent (typically within a few minutes).
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.SessionPolicy.AssignGroup(ctx, operations.C1APISessionPolicyV1SessionPolicyServiceAssignGroupRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.SessionPolicyServiceAssignGroupResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The session policy to assign to.
Body
The SessionPolicyServiceAssignGroupRequest message.
The group's app-entitlement ID. Every member of the group becomes assigned.
Response
Successful response
The SessionPolicyServiceAssignGroupResponse message.
Was this page helpful?